releaseLib : Release/libOdemX.a

include buildTools.make includePath.make
include util.make coroutine.make base.make synchronization.make random.make statistics.make

CFLAGS=-O 

Release/%.o : %.cpp
	@echo Compile $< to target $@
	@if $(CC) -c $(CFLAGS) -I$(INCLUDEPATH) $< -o $@ 2>>error.log;\
	then echo ok; else echo error; fi

Release/libOdemX.a : $(patsubst %.o,Release/%.o,$(OBJECTS))
	@if test -f error.log -a ! -s error.log; then rm error.log; fi
	@if test -f error.log;\
	then echo; echo There where errors during build process:; echo;\
	cat error.log;\
	echo; echo see error.log for detail; echo;\
	else echo Building archive; ar rs $@ Release/*.o;\
	fi


