//----------------------------------------------------------------------------
//	Copyright (C) 2002, 2003 Humboldt-Universitaet zu Berlin
//
//	This library is free software; you can redistribute it and/or
//	modify it under the terms of the GNU Lesser General Public
//	License as published by the Free Software Foundation; either
//	version 2.1 of the License, or (at your option) any later version.
//
//	This library is distributed in the hope that it will be useful,
//	but WITHOUT ANY WARRANTY; without even the implied warranty of
//	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//	Lesser General Public License for more details.
//
//	You should have received a copy of the GNU Lesser General Public
//	License along with this library; if not, write to the Free Software
//	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//----------------------------------------------------------------------------
/**	\file sstreamWrapper.h

	\author Ralf Gerstenberger
	<!-- [\author <author>]* -->

	\date created at 2003/06/11

	\brief Wrapper for std sstream header

	<!-- [\sa <pair-file>] -->

	This file is needed to handle GCC Version <= 2.95.2 problems.

	<!-- [\todo {todos for this file}]* -->

	\since 1.0
*/

#if defined(_MSC_VER) || (defined(__GNUC__) && __GNUC__>2)
// for Microsoft Visual C++
#include <sstream>
#else
#include <strstream>
typedef ostrstream ostringstream;
#endif

